Subject: [Netconf] I-D Action: draft-ietf-netconf-zerotouch-26.txt

From: [email-masked]
Date: Thu, 20 Dec 2018 10:52:49 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Network Configuration WG of the IETF.

        Title           : Zero Touch Provisioning for Networking Devices
        Authors         : Kent Watsen
                          Mikael Abrahamsson
                          Ian Farrer
	Filename        : draft-ietf-netconf-zerotouch-26.txt
	Pages           : 95
	Date            : 2018-12-20

Abstract:
   This draft presents a technique to securely provision a networking
   device when it is booting in a factory-default state.  Variations in
   the solution enables it to be used on both public and private
   networks.  The provisioning steps are able to update the boot image,
   commit an initial configuration, and execute arbitrary scripts to
   address auxiliary needs.  The updated device is subsequently able to
   establish secure connections with other systems.  For instance, a
   device may establish NETCONF (RFC 6241) and/or RESTCONF (RFC 8040)
   connections with deployment-specific network management systems.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-netconf-zerotouch/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-netconf-zerotouch-26
https://datatracker.ietf.org/doc/html/draft-ietf-netconf-zerotouch-26

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-netconf-zerotouch-26

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Kent Watsen <[email-masked]>
Date: Thu, 20 Dec 2018 21:24:50 +0000

All,

This update is generally to clear the IESG DISCUSS/COMMENTS.
Please be aware that Section 4.2 (DNS Server) changed substantially.

The only IESG review that hasn't closed yet is Benjamin Kaduk's,
due to him 1st being on PTO and now the holidays.  His review
may not close until after the New Year.

That said, I'm unsure if you all picked up on one of Benjamin's
comments regarding maybe the term "zerotouch" being perhaps 
overly broad places, perhaps everywhere.  The simplest change,
if there must be one, is to generally move the draft to use
the acronym "SZTP", which is already used in the draft in 
places, though not very prominently.  Any thoughts on this 
before Benjamin comes back?

There are two other issues I reported to Mahesh and Ignas a 
while back and was advised to raise here:

1) ietf-zerotouch-bootstrap-server.yang needs a couple feature 
   statements so that parts of its API can be enabled only when
   needed:

   Here are the features:

     feature redirect-server {
       description
         "The server supports being a 'redirect server'.";
     }
     
     feature onboarding-server {
       description
        "The server supports being an 'onboarding server'.";
     }

   And here are where they're used:

     get-bootstrapping-data {
       ...
       output {
         leaf reporting-level {
           if-feature onboarding-server;
       <snip/>

     rpc report-progress {
       if-feature onboarding-server;
       ...

2) There is currently a normative reference to yang-data-ext 
   which appears to be going nowhere fast in the NETMOD WG.
   In fact, the draft is currently expired.  As mentioned 
   previously, if faced with this situation, we could revert
   it to again use rc:yang-data from RFC 8040.  It appears
   that time has now come...

If there are no objections, I'll include these two updates
in the -27 update that also addresses the remainder of Benjamin
Kaduk's comments.

Thanks,
Kent  // contributor

-----Original Message-----
From: Netconf <[email-masked]> on behalf of "[email-masked]" <[email-masked]>
Reply-To: NETCONF Working Group <[email-masked]>
Date: Thursday, December 20, 2018 at 1:53 PM
To: "[email-masked]" <[email-masked]>
Cc: NETCONF Working Group <[email-masked]>
Subject: [Netconf] I-D Action: draft-ietf-netconf-zerotouch-26.txt

Abstract:

The IETF datatracker status page for this draft is:
https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dietf-2Dnetconf-2Dzerotouch_&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=YrvhG5xT7KG-g1wp0Ykc6Sg73WvwOrcpGFqmPZuYZEQ&s=vJKQhx0Qf7Ixv-wr48XL7wByaVS6aiG0x8lboNHDbVc&e=

There are also htmlized versions available at:
https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dnetconf-2Dzerotouch-2D26&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=YrvhG5xT7KG-g1wp0Ykc6Sg73WvwOrcpGFqmPZuYZEQ&s=L7WoYCQKYK8YH8A1DeowPU6ZIDlt79F3t71kEuhx-9I&e=
https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_html_draft-2Dietf-2Dnetconf-2Dzerotouch-2D26&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=YrvhG5xT7KG-g1wp0Ykc6Sg73WvwOrcpGFqmPZuYZEQ&s=Ddyzykq8AdroFDDvqz-jrYvfVtyk0qi3XMiddat1m2I&e=

A diff from the previous version is available at:
https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_rfcdiff-3Furl2-3Ddraft-2Dietf-2Dnetconf-2Dzerotouch-2D26&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=YrvhG5xT7KG-g1wp0Ykc6Sg73WvwOrcpGFqmPZuYZEQ&s=McftO_kdOH3tXwDfbllyTOCYYVfw3EnjgV4JoL4qbJU&e=

Internet-Drafts are also available by anonymous FTP at:
https://urldefense.proofpoint.com/v2/url?u=ftp-3A__ftp.ietf.org_internet-2Ddrafts_&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=YrvhG5xT7KG-g1wp0Ykc6Sg73WvwOrcpGFqmPZuYZEQ&s=mhVd0ObYta0kJDM9eGO1LTVBGjsHnHwZJic4cD8q8Rg&e=

_______________________________________________
Netconf mailing list
[email-masked]
https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_netconf&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=YrvhG5xT7KG-g1wp0Ykc6Sg73WvwOrcpGFqmPZuYZEQ&s=iYsGz2rWbvsh_fJ9UUleAS3Mj-tWr3wyaELd39NPRLg&e=

---

From: tom petch <[email-masked]>
Date: Mon, 31 Dec 2018 10:22:26 +0000

Kent

You have added the reference to RFC8174 to the YANG modules but ...
it appears as [RFC8174] which to my eyes looks like a HTML/XML anchor
which will not work in a plain text YANG module.

Tom Petch

----- Original Message -----
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, December 20, 2018 6:52 PM

> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt